	TITLE	CCB-100 TIME SET PROGRAM
	SUBTTL	I.C.M. REAL TIME CLOCK BOARD.
;
;date and time program for oki clock chip.
;
TRUE	EQU	-1			; define TRUE
FALSE	EQU	NOT TRUE		; define FALSE
;
CLKCPZ	EQU	FALSE			; true if CCB-100 on master card
					; false if CCB-100 on slave card
;
	IF	CLKCPZ
	INCLUDE	CPZEQU			; include common equates for CPZ
	ELSE
	INCLUDE	DREQUATE
	INCLUDE	CPSEQU			; include common equates for CPS slave
	ENDIF
;
;	*** edit history ***
; 10-28-83 GWM	Created file
;
	NAME	('CLKSET')		; module name
;
	.Z80				; of course, z80 code
;
;define CP/M & TurboDOS functions
;
CIFUN	EQU	1			; keyboard input function
COFUN	EQU	2			; print console function
PRINT	EQU	9			; print buffer function
CBFUN	EQU	10			; buffered console input function
CSFUN	EQU	11			; console status function
;
; define clock control constants
;
HOLD	EQU	00010000B		; bit 4 = hold 